net.sf.okapi.lib.xliff2.processor

## Class DefaultEventHandler

- java.lang.Object
- - net.sf.okapi.lib.xliff2.processor.DefaultEventHandler

- All Implemented Interfaces:
    IEventHandler

      public class DefaultEventHandler
      extends java.lang.Object
      implements IEventHandler

  Implements a default event handler for `XLIFFProcessor`. Each handler does nothing. You can derive your own event handler from this class and define only the handlers you need.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `handleEndDocument(Event event)` Handles the `END_DOCUMENT` event.
    `Event` | `handleEndFile(Event event)` Handles the `END_FILE` event.
    `Event` | `handleEndGroup(Event event)` Handles the `END_GROUP` event.
    `Event` | `handleEndXliff(Event event)` Handles the `END_XLIFF` event.
    `Event` | `handleInsignificantPart(Event event)` Handles the `INSIGNIFICANT_PART` event.
    `Event` | `handleMidFile(Event event)` Handles the `MID_FILE` event.
    `Event` | `handleSkeleton(Event event)` Handles the `SKELETON` event.
    `Event` | `handleStartDocument(Event event)` Handles the `START_DOCUMENT` event.
    `Event` | `handleStartFile(Event event)` Handles the `START_FILE` event.
    `Event` | `handleStartGroup(Event event)` Handles the `START_GROUP` event.
    `Event` | `handleStartXliff(Event event)` Handles the `START_XLIFF` event.
    `Event` | `handleUnit(Event event)` Handles the `TEXT_UNIT` event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventHandler

          public DefaultEventHandler()

  - ### Method Detail

    - #### handleStartDocument

          public Event handleStartDocument(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `START_DOCUMENT` event.
      Specified by:
        `handleStartDocument` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndDocument

          public Event handleEndDocument(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `END_DOCUMENT` event.
      Specified by:
        `handleEndDocument` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleStartXliff

          public Event handleStartXliff(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `START_XLIFF` event.
      Specified by:
        `handleStartXliff` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndXliff

          public Event handleEndXliff(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `END_XLIFF` event.
      Specified by:
        `handleEndXliff` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleStartFile

          public Event handleStartFile(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `START_FILE` event.
      Specified by:
        `handleStartFile` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleSkeleton

          public Event handleSkeleton(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `SKELETON` event.
      Specified by:
        `handleSkeleton` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleMidFile

          public Event handleMidFile(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `MID_FILE` event.
      Specified by:
        `handleMidFile` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndFile

          public Event handleEndFile(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `END_FILE` event.
      Specified by:
        `handleEndFile` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleStartGroup

          public Event handleStartGroup(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `START_GROUP` event.
      Specified by:
        `handleStartGroup` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleEndGroup

          public Event handleEndGroup(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `END_GROUP` event.
      Specified by:
        `handleEndGroup` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleInsignificantPart

          public Event handleInsignificantPart(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `INSIGNIFICANT_PART` event.
      Specified by:
        `handleInsignificantPart` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.

    - #### handleUnit

          public Event handleUnit(Event event)

      Description copied from interface: `IEventHandler`
      Handles the `TEXT_UNIT` event.
      Specified by:
        `handleUnit` in interface `IEventHandler`
      Parameters:
        `event` - the event to process.
      Returns:
        the processed event.